---
name: "🐛 Bug report"
about: "Report a bug to help us improve"
title: "🐛 Title"
labels: ["bug"]
assignees: ['']
---
### Issue Summary

Briefly describe the issue you are experiencing.

### Steps to Reproduce

Provide a clear and concise set of steps to reproduce the issue. Include code snippets or screenshots if they can help in understanding the problem.

1. Step 1
2. Step 2
3. ...

### Expected Behavior

Describe what you expected to happen.

### Actual Behavior

Describe what actually happened.

### Environment

- **Operating System:**
- **Project Version/Commit:**
- **Additional context (if any):**

### Possible Solution

(Optional) If you have suggestions on how to fix the issue or implement the feature, please let us know or open an improvement proposal.

### Screenshots

(Optional) If you can, add screenshots to help explain your problem.

### Additional Information

Add any other context or information about the issue here.

#### Checklist
-  [] I have reviewed existing issues and confirmed that this issue has not been logged before.
-  [] I have provided minimal example of expected vs actual behavior.

---

**Note:** Please make sure to check if there is already an existing issue similar to yours before submitting a new one. If you find an existing issue,
you can comment  on it to provide additional information or to show that you are experiencing the same problem.
